# Generated from gettext-setup-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gettext-setup

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: A gem to ease internationalization with fast_gettext
License: Apache-2.0
URL: https://github.com/puppetlabs/gettext-setup-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-core) >= 3.1
# BuildRequires: rubygem(rspec-core) < 4
# BuildRequires: rubygem(rspec-expectations) >= 3.1
# BuildRequires: rubygem(rspec-expectations) < 4
# BuildRequires: rubygem(rspec-mocks) >= 3.1
# BuildRequires: rubygem(rspec-mocks) < 4
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A gem to ease i18n.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locales
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Oct 25 2022 mockbuilder - 1.1.0-1
- Initial package
